> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/ja/exoclick-paburikku-api/api-manual-rate-limiting.md).

# レート制限

## 全体のリクエスト制限

API は60秒ごとに150リクエストにレート制限されています。すべてのリクエストが合計にカウントされます。API によって処理された各リクエストは、HTTPヘッダーにレート制限情報を返します。

{% hint style="info" %}
**注意**: レート制限はユーザー名とIPアドレスの両方に基づいています。そのため、1つのユーザー名は60秒ごとに150リクエストに制限され、1つのIPアドレスも同様です。
{% endhint %}

## ログインリクエストの制限

ログインリクエストのレート制限は **60秒ごとに10リクエスト**. すべてのリクエストが合計にカウントされます。

{% hint style="info" %}
**注意**: 実行された各統計リクエストのIPアドレスとユーザー名は、これらの制限にカウントされます。
{% endhint %}

## 統計リクエストの制限

統計リクエストは、各IPアドレスごとに1分あたり30リクエスト、各ユーザー名ごとに1分あたり25リクエストにレート制限されています。

{% hint style="info" %}
**注意**: 実行された各統計リクエストのIPアドレスとユーザー名は、これらの制限にカウントされます。
{% endhint %}

たとえば、1台のコンピューターであなたのユーザー名でログインし、統計リクエストを25回送信すると、次の1回は失敗します。ただし、別のユーザー名に切り替えれば、IPアドレスの制限に達する前に、さらに5回の統計リクエストを送信できます。

## 例

### レート制限 - 例1

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

レート制限を超えると、 *429 リクエストが多すぎます* レート制限がリセットされるまで、以降のリクエストでは HTTP エラーが発生します。通常のリクエストと同様に、レート制限情報は HTTP ヘッダーで利用できます。

### レート制限 - 例2（上限超過）

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 リクエストが多すぎます",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/ja/exoclick-paburikku-api/api-manual-rate-limiting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
